PzyEMAIL v0.8: pop3, imap und smtp, mit WebBrowser [update 21.06.2015]

  • Ich sehe das bei Merlin mittlerweiler eine 0.62er version gibt. Es wäre schön eine changelog zu sehen um zu wissen was da verbessert wurde =)

    [SIZE=7]Selfsat H50M4
    Ultimo4K /2xTwinS2, VTI, PLi, ATV...
    NAS: Qnap221[/SIZE]

  • Quote

    Original von Speeedster
    Das Plugin liegt nur auf dem GP3 Feed. zombi hats angepasst und dort angepinnt ;)


    Ich muss nochmal nachhacken ;)
    GP3 ist nicht Opensource (also auch nicht GPL-Lizenz kompatibel)
    Pzyemail ist aber unter der Lizenz GPL3 veröffentlicht worden. Die Sourcen müssen veröffentlicht werden, weil es eben Opensource ist ;)
    Eigentlich bedeutet das, dass dieses "nur GP3" gar nicht zulässig ist und noch dazu darf es vom Gemini-Team nicht so angewendet werden, oder?

    Aufkleber fürs Auto:


    EAT MY FEINSTAUB

  • na da liegste aber ganz falsch ;)
    erstens gibt es hier im Thread dieses Plugin frei zum Downloaden und nur weil ich es jetzt für OE2.0 neu gepackt habe und es über den GP3 feed zum download gibt bedeutet das noch lange keine verletzung der GPL-Lizenz .
    das Plugin ist dort genauso wie hier im Thread auch erhältlich also mit allen py und allen anderen was der ersteller dieses Plugins drin hat .ich hab da nix entfernt oder so ,also nur weil Ihr es nicht schaft das Plugin von der ersten seite hier zu laden und es per hand auf eure box ladet (weil es halt kein anderer als OE2.0 ipk gepackt hat ) musst nicht mit so einem scheiß hier kommen von wegen verletzung der GPL-Lizenz.
    soll man euch immer alles auf dem silbertablet reichen oder schaft ihr auch mal so was simples wie laden und per FTP auf die box legen nicht mal selber?

  • pasurimi
    die v0.6 für OE2.0 ist eine von mir gepackte OE2.0 ipk
    dort habe ich eine mischung aus der letzten und der v0.4 gemacht.
    das bedeutet ich habe die aktuellen - html2text und imaplib2 aus der letzten drin aber die pluginversion ohne die ganze sprachunterstützung für blinde über espeak.(aus der v0.5 (weil das fand ich nicht so gut und das hat auch zu abstürzen geführt) dann habe ich noch eine plugin.png mit reingemacht für den Pluginbrowser.
    wie gesagt hab da etwas zusammengestellt und daraus eine v0.6 gemacht ,die dann gleich für OE2.0 (das hab ich schon am ersten tag des OE2.0 gemacht ,nur erstmal nur für mich und dann hab ich es auf den GP3 feed legen lassen.)

  • Also nochmal: Da es ein GPL-Programm ist, darf Du es nur für Dich anpassen und die Sourcen musst Du dann auch nicht veröffentlichen. Wenn Du/Ihr das aber so anbietet, musst Du die Sourcen auch veröffentlichen. So ist GPL3. Noch dazu: "GPL" ist nicht mit "nicht GPL" kompatibel. Man darf es zwar anbieten aber nicht als Teil von "nicht GPL". Das erlaubt die Lizenz nicht. Und so wie es jetzt ist, ist es ein Teil vom GP3 (nicht GPL).


    Ich verstehe sowieso nicht, warum man so etwas verstecken muss. Was hast Du denn davon? Was wenn es alle machen würden? Wo wäre jetzt die Dreambox? Denk mal an Dr. Best. Alle seine Plugins sind immer "frei" verfügbar.


    Es geht hier auch nicht um "ob jemand etwas kann oder nicht". (Ich kann es ;) )

    Aufkleber fürs Auto:


    EAT MY FEINSTAUB

  • s.fonsi du scheinst das immernoch nicht zu kapieren und ich werd da auch weiter nix zu schreiben ,ich hab hier nix verändert an dem Plugin sondern nutze das was es hier frei auf der ersten seite zum Downloaden gibt. kapierst du das nicht? ich hab hier auch weder was an der plugin.py geändert (bzw. nur 3 kleinigkeiten) oder so ,ich hab es nur anderst gepackt mehr nicht.
    hier ist alles frei alle Sourcen und alles andere auch ,nur weil es auf dem GP3 feed eine von mir gepackte OE2.0 version gibt ist ist es denoch hier auf der ersten seite zu laden und nutzbar. du schreibst hier einfach nur müll .denn hier ist nix versteckt oder sonst was alles gibt es hier auf der ersten seite vom ersteller des Plugins nur du bist anscheind nicht in der lage dir das auf deine box zu machen und sprichst hier von verletzung der GPL3 oder das ich Sourcen nicht freigebe ,welche denn? ich nutz auch nix anderes als die datein von der ersten seite nur habe ich eine andere für OE2.0 passende ipk draus gemacht ,am plugin selbst hab ich nicht eine zeile geändert bzw. ich habe die ja/nein abfrage in der plugin.py noch umgedreht oh was für ein verbrechen :D

  • Quote

    Original von zombi
    s.fonsi du scheinst das immernoch nicht zu kapieren. du schreibst hier einfach nur müll.


    Alles klar ;)

    Aufkleber fürs Auto:


    EAT MY FEINSTAUB

  • Quote

    Originally posted by zombi
    pasurimi
    die v0.6 für OE2.0 ist eine von mir gepackte OE2.0 ipk
    dort habe ich eine mischung aus der letzten und der v0.4 gemacht.
    das bedeutet ich habe die aktuellen - html2text und imaplib2 aus der letzten drin aber die pluginversion ohne die ganze sprachunterstützung für blinde über espeak.(aus der v0.5 (weil das fand ich nicht so gut und das hat auch zu abstürzen geführt) dann habe ich noch eine plugin.png mit reingemacht für den Pluginbrowser.
    wie gesagt hab da etwas zusammengestellt und daraus eine v0.6 gemacht ,die dann gleich für OE2.0 (das hab ich schon am ersten tag des OE2.0 gemacht ,nur erstmal nur für mich und dann hab ich es auf den GP3 feed legen lassen.)


    Ok, danke dir. Wollte eben nur wissen was da konkret geändert wurde ;)

    [SIZE=7]Selfsat H50M4
    Ultimo4K /2xTwinS2, VTI, PLi, ATV...
    NAS: Qnap221[/SIZE]

  • Hello. Is it possible pzyEMAIL for DM800 oe2.0? I hope yes someday.

  • Hallo Leute,


    nach langer Zeit mal wieder ein Update auf v0.7.
    Das *.ipk ist im ersten Beitrag zu finden.



    NEU:
    - Sprachunterstützung entfernt
    - imaplib2 entfernt
    - nur noch HD-Skin
    - text2html aktualisiert
    - diverse kleine Bugfixes
    - HTML-Webansicht der Mails und WebBrowser im OE2.0 (optional)



    Viel Spaß damit
    pzy-co

  • :hurra: :pokal: :cool2:

    Files

    • pzymail.png

      (3.4 kB, downloaded 1,018 times, last: )

    [SIZE=7]Selfsat H50M4
    Ultimo4K /2xTwinS2, VTI, PLi, ATV...
    NAS: Qnap221[/SIZE]

    Edited once, last by pasurimi ().

  • Hi,
    man dankt. Hätte ich kaum noch erwartet. Sprachausgabe hatte ich mir mir auch schon entfernt gab öfter einen GS.


    ciao

    ---
    7020, Combo, Solo2, Ultimo

  • Thanks fürs Update, funktioniert 1A! ;)

    Dream 1: 7020HD SS
    Image: Merlin3 OE2.0/GP3
    Dream 2: 7025 SS
    Image: Merlin2

  • Leider habe ich seit dem Update beim verlassen von PzyEmail jedesmal einen
    Greenscreen.
    Als Image habe ich das DMM 800 se Experimental 2013-12-09,aktuellste GP-Plugin,Zombi.HD1R3 Skin und Flodder mit Squeezeout in benutzung.


    Chrashlog im Anhang.

  • Hallo,


    da funzt wohl was nicht beim Swapon.
    Als erste Hilfe mal in den Global Settings "Disable Swaps" auf NEIN, dann wird der Teil nicht ausgeführt, der bei dir zu Problemen führt. Werde mir die Routine nochmal angucken.
    Dann hast du aber wieder ein anderes Problem, sobald der Browser die Webansicht ausführt. Dein RAM schwindet, das System lagert aus auf dein Swapfile und OE2.0 zeigt dir, wie leutend 'grün' sein kann, mit nem schönen Dump als Muster.


    Entweder also das swapfile unter OE2.0 deaktivieren und den Browser nutzen können, oder erstmal nur html2text nutzen, dann spielt das swapfile keine Rolle.
    Macht dir das swapfile keine Probleme bei Aufnahmen?


    Habe kein swapfile mehr laufen unter OE2.0, macht manchmal Probleme.



    Vielleicht einfach per telnet testen und deaktivieren:
    swapoff /flodder/root/swapfile


    Dann brauchst du auch "Disable Swaps" nicht unbedingt umstellen.



    Wieder aktivieren geht mit:
    swapon /flodder/root/swapfile



    Zum Anzeigen des Zustands:
    free



    Gruß
    pzy-co

  • Nach Disable Swap kommt kein GS mehr,
    nach swapoff /flodder/root/swapfile,kommt das



    opendreambox 2.0.0 dm800se



    dm800se login: root
    Password:
    root@dm800se:~# swapoff /flodder/root/swapfile
    swapoff: can't stat '/flodder/root/swapfile': No such file or directory
    root@dm800se:~#

  • Wenn alles stabil läuft, dann brauchst du nichts mehr machen.
    "Disable Swaps" ist nur für Boxen mit wenig RAM, OE2.0 und aktivem swapfile bei Webansicht gedacht, damit es nicht crashed.
    Ist schon traurig, dass man sowas überhaupt einbauen muss.
    Der originale DMM Browser crashed bei mir genauso, wenn ich mein Swapfile aktiviere.
    Falls du Probleme hast, dann probier es mal mit autofs, wenn alles funktioniert, dann lass es doch einfach so.

    Habe kein Flodder, aber laut Gutemine liegt /flodder/root außerhalb des chroot, deshalb funktioniert das so nicht.

    Wenn sowas rauskommt:
    root@dm8000:~# df -h
    Filesystem Size Used Available Use% Mounted on
    /dev/sdb1 7.0M 3.8M 3.2M 55% /flodder/root

    Dann probier es so:
    swapoff /autofs/sdb1/swapfile


    sdb1 muss angepasst werden auf die Ausgabe deiner Box.


    Für Flodder sollte "Disable Swaps" also auf "NEIN" stehen, bringt dann sowieso nichts und einen Swapmanager mag ich auch nicht einbauen, das ist ein Mailprogramm.
    Habe das nur reingenommen, weil es schnell ging.

    Gruß
    pzy-co

  • bei mir funktioniert das Plugin nicht DM7020HDv2 OE.2.0


    installation ohne probleme


    beim ausführen fährt die Box neu hoch?!

  • Hallo,


    die Version 0.7 funktioniert soweit, aber beim Verlassen des Plugins kommt es zum GreenScreen. Bin wieder auf Version 0.5.2 zurück.
    Anbei chrashlog.


    Gruß
    dysan100

    Files

    DM 500 HD Merlin2 OE 1.6
    DM 800 HD se Merlin2 OE 2.0
    UFS 910 Titan 1.49
    D-Box2 - Keywelt
    Onkyo 807 - 7.2
    Samsung UE32C6000
    Sky komplett

    Edited once, last by dysan100 ().